/****************************************************************************
*
*               Audio Framework
*               ---------------
*
****************************************************************************
*     ModTestInOutChannels.h
****************************************************************************
*
*     Description:  Copies input wire to output wire
*
*     Copyright:    2007-2022 DSP Concepts, Inc. All rights reserved.
*                   3235 Kifer Road
*                   Santa Clara, CA 95054
*
***************************************************************************/

/**
 * @addtogroup Modules
 * @{
 */

/**
 * @file
 * @brief Copies input wire to output wire
 */

#ifndef _MOD_TESTINOUTCHANNELS_H
#define _MOD_TESTINOUTCHANNELS_H

#include "ModCommon.h"
#include "MathHelper.h"


#define CLASSID_TESTINOUTCHANNELS (CLASS_ID_MODBASE + 61000)

#ifdef __cplusplus
extern "C" {
#endif

// ----------------------------------------------------------------------
// Overall instance class
// ----------------------------------------------------------------------

typedef struct _awe_modTestInOutChannelsInstance
{
    ModuleInstanceDescriptor instance;
    
    
} awe_modTestInOutChannelsInstance;

#if !defined(NOREDEF)
extern const ModClassModule awe_modTestInOutChannelsClass;
#endif // #if !defined(NOREDEF)

/* Dynamic instantiation is used by default.  When building for static
** code, define AWE_STATIC_CODE to eliminate the constructor function. */

#ifndef AWE_STATIC_CODE
ModInstanceDescriptor * awe_modTestInOutChannelsConstructor(INT32 * FW_RESTRICT retVal, UINT32 nIO, WireInstance ** FW_RESTRICT pWires, size_t argCount, const Sample * FW_RESTRICT args);
#endif // #ifndef AWE_STATIC_CODE


void awe_modTestInOutChannelsProcess(void *pInstance);

 



#ifdef __cplusplus
}
#endif


#endif // _MOD_TESTINOUTCHANNELS_H

/**
 * @}
 *
 * End of file.
 */
